This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1029823 - avc appears on starting sssd from cmdline
avc appears on starting sssd from cmdline
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 05:08 EST by Kaushik Banerjee
Modified: 2013-11-25 08:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-25 08:10:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushik Banerjee 2013-11-13 05:08:14 EST
Description of problem:
avc appears on starting sssd from cmdline

Version-Release number of selected component (if applicable):
selinux-policy-3.12.1-99.el7
sssd-1.11.1-2.el7

How reproducible:
Always

Steps to Reproduce:
1. Run sssd from cmdline:
sssd -d 9 -f -c /root/sssd.conf


Actual results:
sssd starts, but AVCs appear.

type=SYSCALL msg=audit(1384262991.823:1464): arch=c000003e syscall=42 success=no exit=-13 a0=10 a1=7fff4bf79850 a2=6e a3=1 items=0 ppid=1 pid=546 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-logind" exe="/usr/lib/systemd/systemd-logind" subj=system_u:system_r:systemd_logind_t:s0 key=(null)
type=AVC msg=audit(1384262991.823:1464): avc:  denied  { connectto } for  pid=546 comm="systemd-logind" path="/var/lib/sss/pipes/nss" scontext=system_u:system_r:systemd_logind_t:s0 tcontext=unconfined_u:system_r:unconfined_t:s0-s0:c0.c1023 tclass=unix_stream_socket


Expected results:
No avcs

Additional info:
Comment 1 Jakub Hrozek 2013-11-13 05:23:57 EST
I'll let Miroslav do the canonical answer, but I think that's kind of expected as processes not started by the init system do not transition from the unconfined domain..
Comment 3 Miroslav Grepl 2013-11-25 08:10:53 EST
(In reply to Jakub Hrozek from comment #1)
> I'll let Miroslav do the canonical answer, but I think that's kind of
> expected as processes not started by the init system do not transition from
> the unconfined domain..

Yes.

Note You need to log in before you can comment on or make changes to this bug.